Page MenuHomeFreeBSD

devel/boost-*: convert to more option helpers
ClosedPublic

Authored by jbeich on Sep 27 2015, 10:38 AM.
Tags
None
Referenced Files
Unknown Object (File)
Apr 21 2017, 9:02 PM
Unknown Object (File)
Apr 17 2017, 2:06 PM
Unknown Object (File)
Apr 17 2017, 9:48 AM
Unknown Object (File)
Mar 23 2017, 12:51 AM
Unknown Object (File)
Mar 21 2017, 7:21 AM
Unknown Object (File)
Sep 26 2016, 10:16 PM
Unknown Object (File)
Sep 9 2016, 8:24 PM
Unknown Object (File)
Jun 24 2016, 12:54 PM
Subscribers
None

Details

Summary

For simplicity it's better to avoid conditionals that rely on stuff in
bsd.port.pre.mk or bsd.port.options.mk. Also, as no one complained
about non-working *FLAGS, so I've removed them instead of:

CXXFLAGS_amd64=		-fPIC
CXXFLAGS_sparc64=	-O0

amd64 tried to pass cxxflags via BJAM_ARGS more than once while
sparc64 cannot be fixed without altering sanitizing in

BJAM_ARGS+=    cxxflags="${CXXFLAGS:N-O*}" cflags="${CFLAGS:N-O*}"
Test Plan

PACKAGE_BUILDING should probably enable VERBOSE_BUILD option by
default to make it easier to see which *FLAGS are used during build.
For the following builds I've put it into make.conf.

poudriere bulk -Ctj 102amd64 logs:

poudriere bulk -Ctj 93i386 logs:

poudriere bulk -Ctj 101i386 with some inverted options logs:

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

jbeich retitled this revision from to devel/boost-*: convert to more option helpers.
jbeich updated this object.
jbeich edited the test plan for this revision. (Show Details)
jbeich added a reviewer: office.
truckman added a reviewer: truckman.
truckman edited edge metadata.
truckman removed a subscriber: truckman.

Looks good to me.

This revision is now accepted and ready to land.Sep 27 2015, 6:25 PM
bapt added a reviewer: bapt.
This revision was automatically updated to reflect the committed changes.